%define oname   curb

Name:       ruby-%{oname}
Version:    1.0.5
Release:    %mkrel 1
Summary:    Ruby libcurl bindings
Group:      Development/Ruby
License:    MIT
URL:        http://curb.rubyforge.org/
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: pkgconfig(ruby)
BuildRequires: pkgconfig(libcurl)

%description
Curb (probably CUrl-RuBy or something) provides Ruby-language bindings for
the libcurl(3), a fully-featured client-side URL transfer library. cURL and
libcurl live at https://curl.se/

%files
%{gem_instdir}/
%{gem_spec}
%{gem_extdir_mri}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc LICENSE README.markdown
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install


%changelog
* Mon Apr 08 2024 pterjan <pterjan> 1.0.5-1.mga10
+ Revision: 2055436
- Update to 1.0.5

* Tue May 03 2022 pterjan <pterjan> 1.0.1-1.mga9
+ Revision: 1855721
- Update to 1.0.1

* Fri Mar 25 2022 umeabot <umeabot> 0.9.10-3.mga9
+ Revision: 1827116
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 pterjan <pterjan> 0.9.10-2.mga9
+ Revision: 1784575
- Rebuild for Ruby 3.1

* Sat Mar 28 2020 pterjan <pterjan> 0.9.10-1.mga8
+ Revision: 1561776
- Update to 0.9.10

* Mon Mar 02 2020 pterjan <pterjan> 0.9.7-3.mga8
+ Revision: 1553152
- Rebuild for ruby 2.7

* Fri Feb 14 2020 umeabot <umeabot> 0.9.7-2.mga8
+ Revision: 1522362
- Mageia 8 Mass Rebuild

* Fri Jan 25 2019 pterjan <pterjan> 0.9.7-1.mga7
+ Revision: 1360713
- Update to 0.9.7

* Sun Sep 23 2018 umeabot <umeabot> 0.9.6-2.mga7
+ Revision: 1300875
- Mageia 7 Mass Rebuild

* Thu May 31 2018 pterjan <pterjan> 0.9.6-1.mga7
+ Revision: 1233328
- Update to 0.9.6

* Mon Jan 01 2018 pterjan <pterjan> 0.9.4-2.mga7
+ Revision: 1188475
- Rebuild for Ruby 2.5

* Sun Sep 10 2017 pterjan <pterjan> 0.9.4-1.mga7
+ Revision: 1152307
- Update to 0.9.4

* Sat Aug 19 2017 pterjan <pterjan> 0.9.3-1.mga7
+ Revision: 1141783
- Update to 0.9.3

* Tue Aug 15 2017 pterjan <pterjan> 0.9.0-2.mga7
+ Revision: 1140825
- Rebuild for new Ruby

* Wed Dec 30 2015 pterjan <pterjan> 0.9.0-1.mga6
+ Revision: 916912
- Update to 0.9.0

* Wed Dec 02 2015 spuhler <spuhler> 0.8.6-4.mga6
+ Revision: 907658
- rebuild with new libruby

* Wed Oct 15 2014 umeabot <umeabot> 0.8.6-3.mga5
+ Revision: 740175
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.6-2.mga5
+ Revision: 688779
- Mageia 5 Mass Rebuild

* Tue Aug 26 2014 pterjan <pterjan> 0.8.6-1.mga5
+ Revision: 668500
- 0.8.6

* Sat Dec 28 2013 pterjan <pterjan> 0.8.4-5.mga4
+ Revision: 561824
- Rebuild to fix provides

* Fri Dec 27 2013 pterjan <pterjan> 0.8.4-4.mga4
+ Revision: 561131
- Fix gem macros

* Sat Dec 21 2013 pterjan <pterjan> 0.8.4-3.mga4
+ Revision: 559645
- Update for new binary extensions location

* Mon Oct 21 2013 umeabot <umeabot> 0.8.4-2.mga4
+ Revision: 538825
- Mageia 4 Mass Rebuild

* Wed Oct 02 2013 pterjan <pterjan> 0.8.4-1.mga4
+ Revision: 490469
- 0.8.4
- Use gem_setup
- Drop patch

* Fri Sep 20 2013 pterjan <pterjan> 0.8.1-5.mga4
+ Revision: 481945
- Rebuild for Ruby 2

* Tue Sep 10 2013 pterjan <pterjan> 0.8.1-4.mga4
+ Revision: 476982
- Fix file list

* Fri Feb 08 2013 umeabot <umeabot> 0.8.1-3.mga3
+ Revision: 395823
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.8.1-2.mga3
+ Revision: 380760
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 0.8.1-1.mga3
+ Revision: 312814
- fix str fmt
- new version 0.8.1

* Sat Apr 16 2011 shikamaru <shikamaru> 0.7.15-1.mga1
+ Revision: 86547
- New version 0.7.15 - add check section

* Thu Feb 03 2011 shikamaru <shikamaru> 0.7.10-1.mga1
+ Revision: 46569
- imported package ruby-curb

